Foreman - Refactor #22880

Move to Minitest::Retry for integration tests
03/13/2018 12:43 PM - Daniel Lobato Garcia

Status: Closed
Priority: Normal
Assignee: Daniel Lobato Garcia
Category: Tests
Target version: 1.18.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/5318
Description

Since our integration tests are quite flaky, at times because of DNS problems or similar, | suggest we move away from
minitest-optional_retry (unmaintained) to minitest-retry which seems more maintained and provides more options. Moreover, we can
just specify a limit of 3 retries, and print messages on consistent failures.

Associated revisions

Revision 4a2f1bc2 - 03/19/2018 09:53 AM - Daniel Lobato Garcia
Fixes #22880 - Move to Minitest::Retry for integration tests

Since our integration tests are quite flaky, at times because of DNS
problems or similar, | suggest we move away from minitest-optional_retry
(unmaintained) to minitest-retry which seems more maintained and
provides more options. Moreover, we can just specify a limit of 3

retries, and print messages on consistent failures.

History

#1 - 03/13/2018 12:51 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Daniel Lobato Garcia

- Pull request https://github.com/theforeman/foreman/pull/5318 added

#2 - 03/19/2018 09:54 AM - Tomer Brisker

- translation missing: en.field_release set to 330

#3 - 03/19/2018 12:33 PM - Anonymous
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 4a2f1bc293e19¢c82cc0009c92f7aa41d80431d1e.
